Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.aiff
Class NameChunk

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.iff.Chunk
          edu.harvard.hul.ois.jhove.module.aiff.TextChunk
              edu.harvard.hul.ois.jhove.module.aiff.NameChunk

    public class NameChunk

extends TextChunk

Implementation of the AIFF Name Chunk.

Author:
  Gary McGath

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.aiff.TextChunk
`propName`

Fields inherited from class edu.harvard.hul.ois.jhove.module.iff.Chunk
`_dstream, _module, bytesLeft`

Constructor Summary
`NameChunk(AiffModule module, ChunkHeader hdr, java.io.DataInputStream dstrm)` Constructor.

Method Summary

Methods inherited from class edu.harvard.hul.ois.jhove.module.aiff.TextChunk
`readChunk, readText`

Methods inherited from class edu.harvard.hul.ois.jhove.module.iff.Chunk
`byteBufString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameChunk

    public NameChunk(AiffModule module,
                     ChunkHeader hdr,
                     java.io.DataInputStream dstrm)

  Constructor.

  Parameters:
    `module` - The AIFFModule under which this was called
    `hdr` - The header for this chunk
    `dstrm` - The stream from which the AIFF data are being read

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD